StateApplication (RichFaces JSF components library 3.3.3.Final API)
Keywords: org.richfaces.ui.application.StateApplication class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.ui.application
Class StateApplication

    java.lang.Object
      javax.faces.application.Application
          org.richfaces.ui.application.StateApplication

    public class StateApplication

extends javax.faces.application.Application

Author:
  asmirnov

Constructor Summary
`StateApplication(javax.faces.application.Application parentApp)`

Method Summary
`void` | `addComponent(java.lang.String componentType, java.lang.String componentClass)`
`void` | `addConverter(java.lang.Class targetClass, java.lang.String converterClass)`
`void` | `addConverter(java.lang.String converterId, java.lang.String converterClass)`
`void` | `addELContextListener(javax.el.ELContextListener listener)`
`void` | `addELResolver(javax.el.ELResolver resolver)`
`void` | `addValidator(java.lang.String validatorId, java.lang.String validatorClass)`
`javax.faces.component.UIComponent` | `createComponent(java.lang.String componentType)`
`javax.faces.component.UIComponent` | `createComponent(javax.faces.el.ValueBinding componentBinding, javax.faces.context.FacesContext context, java.lang.String componentType)` Deprecated.
`javax.faces.component.UIComponent` | `createComponent(javax.el.ValueExpression componentExpression, javax.faces.context.FacesContext context, java.lang.String componentType)`
`javax.faces.convert.Converter` | `createConverter(java.lang.Class targetClass)`
`javax.faces.convert.Converter` | `createConverter(java.lang.String converterId)`
`javax.faces.el.MethodBinding` | `createMethodBinding(java.lang.String ref, java.lang.Class[] params)` Deprecated.
`javax.faces.validator.Validator` | `createValidator(java.lang.String validatorId)`
`javax.faces.el.ValueBinding` | `createValueBinding(java.lang.String ref)` Deprecated.
`java.lang.Object` | `evaluateExpressionGet(javax.faces.context.FacesContext context, java.lang.String expression, java.lang.Class expectedType)`
`javax.faces.event.ActionListener` | `getActionListener()`
`java.util.Iterator<java.lang.String>` | `getComponentTypes()`
`java.util.Iterator<java.lang.String>` | `getConverterIds()`
`java.util.Iterator` | `getConverterTypes()`
`java.util.Locale` | `getDefaultLocale()`
`java.lang.String` | `getDefaultRenderKitId()`
`javax.el.ELContextListener[]` | `getELContextListeners()`
`javax.el.ELResolver` | `getELResolver()`
`javax.el.ExpressionFactory` | `getExpressionFactory()`
`java.lang.String` | `getMessageBundle()`
`javax.faces.application.NavigationHandler` | `getNavigationHandler()`
`javax.faces.el.PropertyResolver` | `getPropertyResolver()` Deprecated.
`java.util.ResourceBundle` | `getResourceBundle(javax.faces.context.FacesContext ctx, java.lang.String name)`
`javax.faces.application.StateManager` | `getStateManager()`
`java.util.Iterator<java.util.Locale>` | `getSupportedLocales()`
`java.util.Iterator<java.lang.String>` | `getValidatorIds()`
`javax.faces.el.VariableResolver` | `getVariableResolver()` Deprecated.
`javax.faces.application.ViewHandler` | `getViewHandler()`
`void` | `removeELContextListener(javax.el.ELContextListener listener)`
`void` | `setActionListener(javax.faces.event.ActionListener listener)`
`void` | `setDefaultLocale(java.util.Locale locale)`
`void` | `setDefaultRenderKitId(java.lang.String renderKitId)`
`void` | `setMessageBundle(java.lang.String bundle)`
`void` | `setNavigationHandler(javax.faces.application.NavigationHandler handler)`
`void` | `setPropertyResolver(javax.faces.el.PropertyResolver resolver)` Deprecated.
`void` | `setStateManager(javax.faces.application.StateManager manager)`
`void` | `setSupportedLocales(java.util.Collection<java.util.Locale> locales)`
`void` | `setVariableResolver(javax.faces.el.VariableResolver resolver)` Deprecated.
`void` | `setViewHandler(javax.faces.application.ViewHandler handler)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StateApplication

    public StateApplication(javax.faces.application.Application parentApp)

Parameters:
  `parent` -

Method Detail

### addComponent

    public void addComponent(java.lang.String componentType,
                             java.lang.String componentClass)

  Specified by:
    `addComponent` in class `javax.faces.application.Application`
  Parameters:
    `componentType` -
    `componentClass` -
  See Also:
    `Application.addComponent(java.lang.String, java.lang.String)`

### addConverter

    public void addConverter(java.lang.Class targetClass,
                             java.lang.String converterClass)

  Specified by:
    `addConverter` in class `javax.faces.application.Application`
  Parameters:
    `targetClass` -
    `converterClass` -
  See Also:
    `Application.addConverter(java.lang.Class, java.lang.String)`

### addConverter

    public void addConverter(java.lang.String converterId,
                             java.lang.String converterClass)

  Specified by:
    `addConverter` in class `javax.faces.application.Application`
  Parameters:
    `converterId` -
    `converterClass` -
  See Also:
    `Application.addConverter(java.lang.String, java.lang.String)`

### addELContextListener

    public void addELContextListener(javax.el.ELContextListener listener)

  Overrides:
    `addELContextListener` in class `javax.faces.application.Application`
  Parameters:
    `listener` -
  See Also:
    `Application.addELContextListener(javax.el.ELContextListener)`

### addELResolver

    public void addELResolver(javax.el.ELResolver resolver)

  Overrides:
    `addELResolver` in class `javax.faces.application.Application`
  Parameters:
    `resolver` -
  See Also:
    `Application.addELResolver(javax.el.ELResolver)`

### addValidator

    public void addValidator(java.lang.String validatorId,
                             java.lang.String validatorClass)

  Specified by:
    `addValidator` in class `javax.faces.application.Application`
  Parameters:
    `validatorId` -
    `validatorClass` -
  See Also:
    `Application.addValidator(java.lang.String, java.lang.String)`

### createComponent

    public javax.faces.component.UIComponent createComponent(java.lang.String componentType)
                                                      throws javax.faces.FacesException

  Specified by:
    `createComponent` in class `javax.faces.application.Application`
  Parameters:
    `componentType` -
  Returns:
  Throws:
    `javax.faces.FacesException`
  See Also:
    `Application.createComponent(java.lang.String)`

### createComponent

    public javax.faces.component.UIComponent createComponent(javax.faces.el.ValueBinding componentBinding,
                                                             javax.faces.context.FacesContext context,
                                                             java.lang.String componentType)
                                                      throws javax.faces.FacesException

  Deprecated.

  Specified by:
    `createComponent` in class `javax.faces.application.Application`
  Parameters:
    `componentBinding` -
    `context` -
    `componentType` -
  Returns:
  Throws:
    `javax.faces.FacesException`
  See Also:
    `Application.createComponent(javax.faces.el.ValueBinding, javax.faces.context.FacesContext, java.lang.String)`

### createComponent

    public javax.faces.component.UIComponent createComponent(javax.el.ValueExpression componentExpression,
                                                             javax.faces.context.FacesContext context,
                                                             java.lang.String componentType)
                                                      throws javax.faces.FacesException

  Overrides:
    `createComponent` in class `javax.faces.application.Application`
  Parameters:
    `componentExpression` -
    `context` -
    `componentType` -
  Returns:
  Throws:
    `javax.faces.FacesException`
  See Also:
    `Application.createComponent(javax.el.ValueExpression, javax.faces.context.FacesContext, java.lang.String)`

### createConverter

    public javax.faces.convert.Converter createConverter(java.lang.Class targetClass)

  Specified by:
    `createConverter` in class `javax.faces.application.Application`
  Parameters:
    `targetClass` -
  Returns:
  See Also:
    `Application.createConverter(java.lang.Class)`

### createConverter

    public javax.faces.convert.Converter createConverter(java.lang.String converterId)

  Specified by:
    `createConverter` in class `javax.faces.application.Application`
  Parameters:
    `converterId` -
  Returns:
  See Also:
    `Application.createConverter(java.lang.String)`

### createMethodBinding

    public javax.faces.el.MethodBinding createMethodBinding(java.lang.String ref,
                                                            java.lang.Class[] params)
                                                     throws javax.faces.el.ReferenceSyntaxException

  Deprecated.

  Specified by:
    `createMethodBinding` in class `javax.faces.application.Application`
  Parameters:
    `ref` -
    `params` -
  Returns:
  Throws:
    `javax.faces.el.ReferenceSyntaxException`
  See Also:
    `Application.createMethodBinding(java.lang.String, java.lang.Class[])`

### createValidator

    public javax.faces.validator.Validator createValidator(java.lang.String validatorId)
                                                    throws javax.faces.FacesException

  Specified by:
    `createValidator` in class `javax.faces.application.Application`
  Parameters:
    `validatorId` -
  Returns:
  Throws:
    `javax.faces.FacesException`
  See Also:
    `Application.createValidator(java.lang.String)`

### createValueBinding

    public javax.faces.el.ValueBinding createValueBinding(java.lang.String ref)
                                                   throws javax.faces.el.ReferenceSyntaxException

  Deprecated.

  Specified by:
    `createValueBinding` in class `javax.faces.application.Application`
  Parameters:
    `ref` -
  Returns:
  Throws:
    `javax.faces.el.ReferenceSyntaxException`
  See Also:
    `Application.createValueBinding(java.lang.String)`

### evaluateExpressionGet

    public java.lang.Object evaluateExpressionGet(javax.faces.context.FacesContext context,
                                                  java.lang.String expression,
                                                  java.lang.Class expectedType)
                                           throws javax.el.ELException

  Overrides:
    `evaluateExpressionGet` in class `javax.faces.application.Application`
  Parameters:
    `context` -
    `expression` -
    `expectedType` -
  Returns:
  Throws:
    `javax.el.ELException`
  See Also:
    `Application.evaluateExpressionGet(javax.faces.context.FacesContext, java.lang.String, java.lang.Class)`

### getActionListener

    public javax.faces.event.ActionListener getActionListener()

  Specified by:
    `getActionListener` in class `javax.faces.application.Application`
  Returns:
  See Also:
    `Application.getActionListener()`

### getComponentTypes

    public java.util.Iterator<java.lang.String> getComponentTypes()

  Specified by:
    `getComponentTypes` in class `javax.faces.application.Application`
  Returns:
  See Also:
    `Application.getComponentTypes()`

### getConverterIds

    public java.util.Iterator<java.lang.String> getConverterIds()

  Specified by:
    `getConverterIds` in class `javax.faces.application.Application`
  Returns:
  See Also:
    `Application.getConverterIds()`

### getConverterTypes

    public java.util.Iterator getConverterTypes()

  Specified by:
    `getConverterTypes` in class `javax.faces.application.Application`
  Returns:
  See Also:
    `Application.getConverterTypes()`

### getDefaultLocale

    public java.util.Locale getDefaultLocale()

  Specified by:
    `getDefaultLocale` in class `javax.faces.application.Application`
  Returns:
  See Also:
    `Application.getDefaultLocale()`

### getDefaultRenderKitId

    public java.lang.String getDefaultRenderKitId()

  Specified by:
    `getDefaultRenderKitId` in class `javax.faces.application.Application`
  Returns:
  See Also:
    `Application.getDefaultRenderKitId()`

### getELContextListeners

    public javax.el.ELContextListener[] getELContextListeners()

  Overrides:
    `getELContextListeners` in class `javax.faces.application.Application`
  Returns:
  See Also:
    `Application.getELContextListeners()`

### getELResolver

    public javax.el.ELResolver getELResolver()

  Overrides:
    `getELResolver` in class `javax.faces.application.Application`
  Returns:
  See Also:
    `Application.getELResolver()`

### getExpressionFactory

    public javax.el.ExpressionFactory getExpressionFactory()

  Overrides:
    `getExpressionFactory` in class `javax.faces.application.Application`
  Returns:
  See Also:
    `Application.getExpressionFactory()`

### getMessageBundle

    public java.lang.String getMessageBundle()

  Specified by:
    `getMessageBundle` in class `javax.faces.application.Application`
  Returns:
  See Also:
    `Application.getMessageBundle()`

### getNavigationHandler

    public javax.faces.application.NavigationHandler getNavigationHandler()

  Specified by:
    `getNavigationHandler` in class `javax.faces.application.Application`
  Returns:
  See Also:
    `Application.getNavigationHandler()`

### getPropertyResolver

    public javax.faces.el.PropertyResolver getPropertyResolver()

  Deprecated.

  Specified by:
    `getPropertyResolver` in class `javax.faces.application.Application`
  Returns:
  See Also:
    `Application.getPropertyResolver()`

### getResourceBundle

    public java.util.ResourceBundle getResourceBundle(javax.faces.context.FacesContext ctx,
                                                      java.lang.String name)

  Overrides:
    `getResourceBundle` in class `javax.faces.application.Application`
  Parameters:
    `ctx` -
    `name` -
  Returns:
  See Also:
    `Application.getResourceBundle(javax.faces.context.FacesContext, java.lang.String)`

### getStateManager

    public javax.faces.application.StateManager getStateManager()

  Specified by:
    `getStateManager` in class `javax.faces.application.Application`
  Returns:
  See Also:
    `Application.getStateManager()`

### getSupportedLocales

    public java.util.Iterator<java.util.Locale> getSupportedLocales()

  Specified by:
    `getSupportedLocales` in class `javax.faces.application.Application`
  Returns:
  See Also:
    `Application.getSupportedLocales()`

### getValidatorIds

    public java.util.Iterator<java.lang.String> getValidatorIds()

  Specified by:
    `getValidatorIds` in class `javax.faces.application.Application`
  Returns:
  See Also:
    `Application.getValidatorIds()`

### getVariableResolver

    public javax.faces.el.VariableResolver getVariableResolver()

  Deprecated.

  Specified by:
    `getVariableResolver` in class `javax.faces.application.Application`
  Returns:
  See Also:
    `Application.getVariableResolver()`

### getViewHandler

    public javax.faces.application.ViewHandler getViewHandler()

  Specified by:
    `getViewHandler` in class `javax.faces.application.Application`
  Returns:
  See Also:
    `Application.getViewHandler()`

### removeELContextListener

    public void removeELContextListener(javax.el.ELContextListener listener)

  Overrides:
    `removeELContextListener` in class `javax.faces.application.Application`
  Parameters:
    `listener` -
  See Also:
    `Application.removeELContextListener(javax.el.ELContextListener)`

### setActionListener

    public void setActionListener(javax.faces.event.ActionListener listener)

  Specified by:
    `setActionListener` in class `javax.faces.application.Application`
  Parameters:
    `listener` -
  See Also:
    `Application.setActionListener(javax.faces.event.ActionListener)`

### setDefaultLocale

    public void setDefaultLocale(java.util.Locale locale)

  Specified by:
    `setDefaultLocale` in class `javax.faces.application.Application`
  Parameters:
    `locale` -
  See Also:
    `Application.setDefaultLocale(java.util.Locale)`

### setDefaultRenderKitId

    public void setDefaultRenderKitId(java.lang.String renderKitId)

  Specified by:
    `setDefaultRenderKitId` in class `javax.faces.application.Application`
  Parameters:
    `renderKitId` -
  See Also:
    `Application.setDefaultRenderKitId(java.lang.String)`

### setMessageBundle

    public void setMessageBundle(java.lang.String bundle)

  Specified by:
    `setMessageBundle` in class `javax.faces.application.Application`
  Parameters:
    `bundle` -
  See Also:
    `Application.setMessageBundle(java.lang.String)`

### setNavigationHandler

    public void setNavigationHandler(javax.faces.application.NavigationHandler handler)

  Specified by:
    `setNavigationHandler` in class `javax.faces.application.Application`
  Parameters:
    `handler` -
  See Also:
    `Application.setNavigationHandler(javax.faces.application.NavigationHandler)`

### setPropertyResolver

    public void setPropertyResolver(javax.faces.el.PropertyResolver resolver)

  Deprecated.

  Specified by:
    `setPropertyResolver` in class `javax.faces.application.Application`
  Parameters:
    `resolver` -
  See Also:
    `Application.setPropertyResolver(javax.faces.el.PropertyResolver)`

### setStateManager

    public void setStateManager(javax.faces.application.StateManager manager)

  Specified by:
    `setStateManager` in class `javax.faces.application.Application`
  Parameters:
    `manager` -
  See Also:
    `Application.setStateManager(javax.faces.application.StateManager)`

### setSupportedLocales

    public void setSupportedLocales(java.util.Collection<java.util.Locale> locales)

  Specified by:
    `setSupportedLocales` in class `javax.faces.application.Application`
  Parameters:
    `locales` -
  See Also:
    `Application.setSupportedLocales(java.util.Collection)`

### setVariableResolver

    public void setVariableResolver(javax.faces.el.VariableResolver resolver)

  Deprecated.

  Specified by:
    `setVariableResolver` in class `javax.faces.application.Application`
  Parameters:
    `resolver` -
  See Also:
    `Application.setVariableResolver(javax.faces.el.VariableResolver)`

### setViewHandler

    public void setViewHandler(javax.faces.application.ViewHandler handler)

  Specified by:
    `setViewHandler` in class `javax.faces.application.Application`
  Parameters:
    `handler` -
  See Also:
    `Application.setViewHandler(javax.faces.application.ViewHandler)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.